# UniformValue File Reference

`#include <vector>`
`#include <typeinfo>`
`#include <osg/ref_ptr>`
`#include <osg/Vec2>`
`#include <osg/Vec3>`
`#include <osg/Vec4>`
`#include <osg/Referenced>`
`#include <osgGL2/Extensions>`

Include dependency graph for UniformValue:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | osgGL2

## Defines

#define | OSGGL2_UNIFORMVALUE 1

## Typedefs

typedef std::vector< osg::ref_ptr< UniformValue > > | UniformValueList
typedef UniformValueTemplate< int > | UniformValue_int
typedef UniformValueTemplate< float > | UniformValue_float
typedef UniformValueTemplate< osg::Vec2 > | UniformValue_Vec2
typedef UniformValueTemplate< osg::Vec3 > | UniformValue_Vec3
typedef UniformValueTemplate< osg::Vec4 > | UniformValue_Vec4

## Define Documentation

#define OSGGL2_UNIFORMVALUE 1

## Typedef Documentation

typedef UniformValueTemplate<float> osgGL2::UniformValue_float

typedef UniformValueTemplate<int> osgGL2::UniformValue_int

typedef UniformValueTemplate<osg::Vec2> osgGL2::UniformValue_Vec2

typedef UniformValueTemplate<osg::Vec3> osgGL2::UniformValue_Vec3

typedef UniformValueTemplate<osg::Vec4> osgGL2::UniformValue_Vec4

typedef std::vector< osg::ref_ptr<UniformValue> > osgGL2::UniformValueList